#include <pr2_controller_interface/controller.h>
#include <pr2_mechanism_model/joint.h>

namespace kinect_tilt_controller_ns{

class KinectTiltControllerClass: public pr2_controller_interface::Controller
{
private:
  pr2_mechanism_model::JointState* joint_state_;
  double init_pos_;

public:
  virtual bool init(pr2_mechanism_model::RobotState *robot,
                   ros::NodeHandle &n);
  virtual void starting();
  virtual void update();
  virtual void stopping();

  double target_theta;           // desired angle (in radians)
  double min_theta, max_theta;   // absolute limits
  double k_p;                    // proportional gain

};
} 
